From: Nicholas D Steeves <nsteeves@gmail.com>
Date: Sun, 6 Dec 2020 19:13:37 -0500
Subject: fix typos in docs

Forwarded: no
---
 docs/peewee/models.rst          | 2 +-
 docs/peewee/playhouse.rst       | 2 +-
 docs/peewee/query_operators.rst | 4 ++--
 docs/peewee/sqlite_ext.rst      | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/docs/peewee/models.rst b/docs/peewee/models.rst
index 7dee6b1..47a7964 100644
--- a/docs/peewee/models.rst
+++ b/docs/peewee/models.rst
@@ -357,7 +357,7 @@ foreign key field's name:
         print(tweet.user_id, tweet.message)
 
 To prevent accidentally resolving a foreign-key and triggering an additional
-query, :py:class:`ForeignKeyField` supports an initialization paramater
+query, :py:class:`ForeignKeyField` supports an initialization parameter
 ``lazy_load`` which, when disabled, behaves like the ``"_id"`` attribute. For
 example:
 
diff --git a/docs/peewee/playhouse.rst b/docs/peewee/playhouse.rst
index a45ffb1..7255b0e 100644
--- a/docs/peewee/playhouse.rst
+++ b/docs/peewee/playhouse.rst
@@ -1520,7 +1520,7 @@ postgres_ext API notes
 
     .. py:method:: concat(data)
 
-        Concatentate two field data and the provided data. Note that this
+        Concatenate two field data and the provided data. Note that this
         operation does not merge or do a "deep concat".
 
     .. py:method:: has_key(key)
diff --git a/docs/peewee/query_operators.rst b/docs/peewee/query_operators.rst
index 2239bfd..20568f1 100644
--- a/docs/peewee/query_operators.rst
+++ b/docs/peewee/query_operators.rst
@@ -327,13 +327,13 @@ correlate incidents with certain events:
         traceback = TextField()
         timestamp = TimestampField()
 
-    # Get a list of all the incident types and sources that have occured today.
+    # Get a list of all the incident types and sources that have occurred today.
     incidents = (IncidentLog
                  .select(IncidentLog.incident_type, IncidentLog.source)
                  .where(IncidentLog.timestamp >= datetime.date.today()))
 
     # Find all events that correlate with the type and source of the
-    # incidents that occured today.
+    # incidents that occurred today.
     events = (EventLog
               .select()
               .where(Tuple(EventLog.event_type, EventLog.source).in_(incidents))
diff --git a/docs/peewee/sqlite_ext.rst b/docs/peewee/sqlite_ext.rst
index 202a2da..ff1833b 100644
--- a/docs/peewee/sqlite_ext.rst
+++ b/docs/peewee/sqlite_ext.rst
@@ -307,7 +307,7 @@ APIs
     .. note::
         To customize the JSON serialization or de-serialization, you can
         specify a custom ``json_dumps`` and ``json_loads`` callables. These
-        functions should accept a single paramter: the object to serialize, and
+        functions should accept a single parameter: the object to serialize, and
         the JSON string, respectively. To modify the parameters of the stdlib
         JSON functions, you can use ``functools.partial``:
 
